curl -X DELETE "https://api.magpipe.ai/functions/v1/manage-call-whitelist?id=a1b2c3d4-0000-0000-0000-000000000001" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.magpipe.ai/functions/v1/manage-call-whitelist?id=a1b2c3d4-0000-0000-0000-000000000001',
{
method: 'DELETE',
headers: { 'Authorization': 'Bearer YOUR_API_KEY' },
}
);
const { ok } = await response.json();
import requests
response = requests.delete(
'https://api.magpipe.ai/functions/v1/manage-call-whitelist',
params={'id': 'a1b2c3d4-0000-0000-0000-000000000001'},
headers={'Authorization': 'Bearer YOUR_API_KEY'},
)
print(response.json()) # {"ok": true}
{
"ok": true
}
{
"error": {
"code": "not_found",
"message": "Entry not found"
}
}
Call Whitelist
Delete Whitelist Entry
Remove a call whitelist entry
DELETE
/
manage-call-whitelist
curl -X DELETE "https://api.magpipe.ai/functions/v1/manage-call-whitelist?id=a1b2c3d4-0000-0000-0000-000000000001" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.magpipe.ai/functions/v1/manage-call-whitelist?id=a1b2c3d4-0000-0000-0000-000000000001',
{
method: 'DELETE',
headers: { 'Authorization': 'Bearer YOUR_API_KEY' },
}
);
const { ok } = await response.json();
import requests
response = requests.delete(
'https://api.magpipe.ai/functions/v1/manage-call-whitelist',
params={'id': 'a1b2c3d4-0000-0000-0000-000000000001'},
headers={'Authorization': 'Bearer YOUR_API_KEY'},
)
print(response.json()) # {"ok": true}
{
"ok": true
}
{
"error": {
"code": "not_found",
"message": "Entry not found"
}
}
Permanently removes a whitelist entry. Subsequent calls from the previously whitelisted number will be routed to the AI agent as normal.
Query Parameters
string
required
The UUID of the whitelist entry to delete.Example:
a1b2c3d4-0000-0000-0000-000000000001Response
Returns{ "ok": true } on success (200 OK). Returns 404 if the entry does not exist or belongs to a different account.
curl -X DELETE "https://api.magpipe.ai/functions/v1/manage-call-whitelist?id=a1b2c3d4-0000-0000-0000-000000000001" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.magpipe.ai/functions/v1/manage-call-whitelist?id=a1b2c3d4-0000-0000-0000-000000000001',
{
method: 'DELETE',
headers: { 'Authorization': 'Bearer YOUR_API_KEY' },
}
);
const { ok } = await response.json();
import requests
response = requests.delete(
'https://api.magpipe.ai/functions/v1/manage-call-whitelist',
params={'id': 'a1b2c3d4-0000-0000-0000-000000000001'},
headers={'Authorization': 'Bearer YOUR_API_KEY'},
)
print(response.json()) # {"ok": true}
{
"ok": true
}
{
"error": {
"code": "not_found",
"message": "Entry not found"
}
}